# Class SymphonyTransaction

java.lang.Object
edu.byu.hbll.symphonytransactionparser.SymphonyTransaction

public class SymphonyTransaction extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`FIELD_DELIMITER`
`static final DateTimeFormatter`
`TIMESTAMP_FORMATTER`

## Constructor Summary

Constructors
Constructor
Description
`SymphonyTransaction(String command, Instant timestamp, Map<String,String> data)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getDatafield(String dataCode)`
`static SymphonyTransaction`
`parse(String str)`
`static SymphonyTransaction`
`parse(String str, ZoneId zoneId)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### FIELD_DELIMITER

public static final String FIELD_DELIMITER

### TIMESTAMP_FORMATTER

public static final DateTimeFormatter TIMESTAMP_FORMATTER

## Constructor Details

### SymphonyTransaction

public SymphonyTransaction(String command, Instant timestamp, Map<String,String> data)

## Method Details

### parse

public static SymphonyTransaction parse(String str) throws IllegalArgumentException

Throws:
  `IllegalArgumentException`

### parse

public static SymphonyTransaction parse(String str, ZoneId zoneId) throws IllegalArgumentException

Throws:
  `IllegalArgumentException`

### getDatafield

public String getDatafield(String dataCode)